Package org.linphone.core

# Enum Class EphemeralChatMessagePolicy

java.lang.Object
java.lang.Enum<EphemeralChatMessagePolicy>
org.linphone.core.EphemeralChatMessagePolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<EphemeralChatMessagePolicy>`, `Constable`

public enum EphemeralChatMessagePolicy extends Enum<EphemeralChatMessagePolicy>
Ephemeral chat message policies.
This enum represents different policies for managing ephemeral chat message
lifetimes.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Default`
In this mode, an ephemeral chat message expires at the same time for all
participants, when every participant has read the message and its lifetime
expires.
`Individual`
In this mode, an ephemeral chat message expires independently for each
participant, after the duration of the lifetime once this participant has read
the message.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static EphemeralChatMessagePolicy`
`fromInt(int value)`
`protected static EphemeralChatMessagePolicy[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(EphemeralChatMessagePolicy[] values)`
`static EphemeralChatMessagePolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EphemeralChatMessagePolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Default

public static final EphemeralChatMessagePolicy Default
In this mode, an ephemeral chat message expires at the same time for all
participants, when every participant has read the message and its lifetime
expires.

### Individual

public static final EphemeralChatMessagePolicy Individual
In this mode, an ephemeral chat message expires independently for each
participant, after the duration of the lifetime once this participant has read
the message.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static EphemeralChatMessagePolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EphemeralChatMessagePolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static EphemeralChatMessagePolicy fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static EphemeralChatMessagePolicy[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(EphemeralChatMessagePolicy[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()